# org.pdfclown.tools.Renderer Class Reference

Tool for rendering content contexts. More...

List of all members.

## Classes
class | PrintDocument
| Printable document. More...
## Public Member Functions
bool | Print (IList< Page > pages, bool silent)
| Prints the specified page collection.
bool | Print (IList< Page > pages)
| Prints silently the specified page collection.
bool | Print (Document document, bool silent)
| Prints the specified document.
bool | Print (Document document)
| Prints silently the specified document.
Image | Render (IContentContext contentContext, SizeF size, RectangleF?area)
| Renders the specified content context into an image context.
Image | Render (Contents contents, SizeF size, RectangleF?area)
| Renders the specified contents into an image context.
Image | Render (IContentContext contentContext, SizeF size)
| Renders the specified content context into an image context.
Image | Render (Contents contents, SizeF size)
| Renders the specified contents into an image context.
## Static Public Member Functions
static PrintDocument | GetPrintDocument (IList< Page > pages)
| Wraps the specified page collection into a printable object.
static PrintDocument | GetPrintDocument (Document document)
| Wraps the specified document into a printable object.

##

Tool for rendering content contexts.

## Member Function Documentation

static PrintDocument org.pdfclown.tools.Renderer.GetPrintDocument | ( | IList< Page > | pages | ) | `[static]`

Wraps the specified page collection into a printable object.

Parameters:

  | pages | Page collection to print.

Returns:
  Printable object.

static PrintDocument org.pdfclown.tools.Renderer.GetPrintDocument | ( | Document | document | ) | `[static]`

Wraps the specified document into a printable object.

Parameters:

  | document | Document to wrap for printing.

Returns:
  Printable object.

References org.pdfclown.documents.Document.Pages.

bool org.pdfclown.tools.Renderer.Print | ( | IList< Page > | pages,
|  | bool | silent |
| ) |  |  |

Prints the specified page collection.

Parameters:

  | pages | Page collection to print.
  | silent | Whether to avoid showing a print dialog.

Returns:
  Whether the print was fulfilled.

bool org.pdfclown.tools.Renderer.Print | ( | IList< Page > | pages | ) |

Prints silently the specified page collection.

Parameters:

  | pages | Page collection to print.

Returns:
  Whether the print was fulfilled.

References org.pdfclown.tools.Renderer.Print().

Referenced by org.pdfclown.tools.Renderer.Print().

bool org.pdfclown.tools.Renderer.Print | ( | Document | document,
|  | bool | silent |
| ) |  |  |

Prints the specified document.

Parameters:

  | document | Document to print.
  | silent | Whether to avoid showing a print dialog.

Returns:
  Whether the print was fulfilled.

References org.pdfclown.documents.Document.Pages, and org.pdfclown.tools.Renderer.Print().

Referenced by org.pdfclown.tools.Renderer.Print().

bool org.pdfclown.tools.Renderer.Print | ( | Document | document | ) |

Prints silently the specified document.

Parameters:

  | document | Document to print.

Returns:
  Whether the print was fulfilled.

References org.pdfclown.documents.Document.Pages, and org.pdfclown.tools.Renderer.Print().

Referenced by org.pdfclown.tools.Renderer.Print().

Image org.pdfclown.tools.Renderer.Render | ( | IContentContext | contentContext,
|  | SizeF | size,
|  | RectangleF? | area |
| ) |  |  |

Renders the specified content context into an image context.

Parameters:

  | contentContext | Source content context.
  | size | Image size expressed in device-space units (that is typically pixels).
  | area | Content area to render;
      null
  corresponds to the entire content bounding box.

Returns:
  Image representing the rendered contents.

References org.pdfclown.documents.contents.IContentContext.Render().

Image org.pdfclown.tools.Renderer.Render | ( | Contents | contents,
|  | SizeF | size,
|  | RectangleF? | area |
| ) |  |  |

Renders the specified contents into an image context.

Parameters:

  | contents | Source contents.
  | size | Image size expressed in device-space units (that is typically pixels).
  | area | Content area to render;
      null
  corresponds to the entire content bounding box.

Returns:
  Image representing the rendered contents.

References org.pdfclown.documents.contents.Contents.ContentContext, and org.pdfclown.tools.Renderer.Render().

Referenced by org.pdfclown.tools.Renderer.Render().

Image org.pdfclown.tools.Renderer.Render | ( | IContentContext | contentContext,
|  | SizeF | size |
| ) |  |  |

Renders the specified content context into an image context.

Parameters:

  | contentContext | Source content context.
  | size | Image size expressed in device-space units (that is typically pixels).

Returns:
  Image representing the rendered contents.

References org.pdfclown.tools.Renderer.Render().

Referenced by org.pdfclown.tools.Renderer.Render().

Image org.pdfclown.tools.Renderer.Render | ( | Contents | contents,
|  | SizeF | size |
| ) |  |  |

Renders the specified contents into an image context.

Parameters:

  | contents | Source contents.
  | size | Image size expressed in device-space units (that is typically pixels).

Returns:
  Image representing the rendered contents.

References org.pdfclown.tools.Renderer.Render().

Referenced by org.pdfclown.tools.Renderer.Render().

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.